import junit.framework.TestCase;
import junit.swingui.TestRunner;


public class EinwohnerTest extends TestCase {

	Einwohner e;


	public static void main(String[] args) {
		TestRunner.main(new String[]{"EinwohnerTest"});
	}

	public EinwohnerTest(String name) {
		super(name);
	}

	protected void setUp() {
		e = new Einwohner();
	}

    protected void tearDown() {
	}

	public void testSteuerE1() {
		e.setEinkommen(20);
		assertEquals(2, e.steuer());
	}

	public void testSteuerE2() {
		try{
			e.setEinkommen(-5);
			fail("Expected RuntimeException");
		}
		catch (RuntimeException expected) {
			e.setEinkommen(0);
		}
	//	assertEquals(1, e.steuer());
	}

	public void testSteuerE3() {
		e.setEinkommen(0);
		assertEquals(1, e.steuer());
	}
}